body {
    margin: 0;
    padding: 0;
    font-family: BwModelica;
    font-weight: normal;
    color: #000; /*overflow-x:hidden;*/
}

.mob-only {
    display: none;
}

.block {
    position: relative;
    width: 100%;
    min-height: 150px;
    text-align: center;
    overflow: hidden;
}

.block .content {
    width: 1200px;
    margin: 0 auto;
    height: 100%;
    text-align: left; /*border:1px solid #fff*/
}

#move-up {
    width: 65px;
    height: 65px;
    background: url(/assets/images/ikea/icons/button_back_up.svg) center / contain no-repeat;
    position: fixed;
    bottom: 130px;
    left: 50%;
    transform: translateX(-50%);
    z-index: 11;
    cursor: pointer;
}

.left {
    float: left;
}

.right {
    float: right;
}

clear {
    display: block;
    clear: both
}

.expressive {
    font-family: Expressive
}

.title {
    font-size: 2.1rem;
    line-height: 2.3rem;
}

a {
    color: #000;
}

p {
    margin: 0
}

p.small {
    font-size: 1rem;
    line-height: 1.3rem;
}

p.medium {
    font-size: 1.15rem;
    line-height: 1.4rem;
}

p.big {
    font-size: 1.5rem;
    line-height: 1.8rem;
    margin: 20px 0
}

p.footnote {
    font-size: 0.7rem;
    line-height: 0.8rem;
    font-weight: 200;
}

p.footnote a {
}

.flexbox {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}

.flexitem {
    flex-basis: 24%;
}

.poster {
    position: relative;
    padding-bottom: 55%;
    background: #ccc;
    color: #fff;
    overflow: hidden
}

.poster p {
    position: absolute;
    width: 80%;
    margin: 10%;
    font-size: 1.3rem;
    line-height: 1.7rem;
    font-style: italic;
}

.poster h {
    display: block;
    font-size: 3.8rem;
    font-style: italic;
    margin-bottom: 20px;
    font-weight: bold;
}

.poster b {
    display: block;
    font-size: 2rem;
    line-height: 2.4rem;
    text-align: center;
    font-style: italic;
    margin-top: 15px;
}

.overflow-right {
    padding-right: 5000px
}

.overflow-left {
    padding-left: 5000px;
    margin-left: -5000px
}

.justify {
    text-align: justify
}

.white {
    color: #fff
}

.italic {
    font-style: italic
}

.bold {
    font-weight: bold;
}

.headline {
    text-transform: uppercase;
    font-size: 2.4rem;
    font-weight: bold
}
.flex-center {
    display: flex;
    align-items: center;
    justify-content: center;
}

.flex-align-center {
    display: flex;
    align-items: center;
}

.flex-col-center {
    display: flex;
    justify-content: center;
    flex-direction: column;
}

.circle {
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    width: 180px;
    height: 180px;
    margin: auto
}

.circle .curve {
    width: 100%;
    height: 100%;
    border-radius: 50%;
    background: conic-gradient(#544284 0deg 0deg, #544284 90deg 90deg, #fff 90deg 360deg);
    mask: radial-gradient(circle, transparent 65%, white 66%);
}

.circle .data {
    font-size: 2.3rem;
    position: absolute;
    z-index: 1;
}

.undercircle {
    margin-top: 20px;
    text-align: center;
    font-size: 1.2rem;
    line-height: 1.5rem;
}

.shareIcons a.share {
    background-color: #544284;
}

.header {
    height: 165px;
    background: #544284;
    overflow: hidden;
}

.header .logo {
    display: block;
}

.header .left .logo {
    margin: 0 20px;
    width: 230px;
    height: 84px;
    background: url(/assets/images/ikea/icons/tvnet_logo.png) center / contain no-repeat;
}

.header .right {
    width: 210px;
    background-color: #fff;
    font-size: 1.125rem;
    text-align: center;
    height: 165px;
}

.header .right .logo {
    width: 191px;
    height: 97px;
    margin: 0 10px;
    background: url(/assets/images/ikea/icons/Ikea_logo.png) center / contain no-repeat;
}

.header .right:after {
    content: '';
    background: #fff;
    position: absolute;
    left: 100%;
    width: 100%;
    height: 165px;
}

.header .content {
    position: relative
}

.header a.share {
    width: 45px;
    height: 45px;
    background: url(/assets/images/ikea/icons/share_button.svg) center / contain no-repeat;
}


#block2 {
    height: 370px;
    overflow: hidden;
    background-color: #908AC3;
}

#block2 .right {
  width:48%;
    background:url(/assets/images/ikea/images/image_1.png) center / cover no-repeat;
    height: 100%;
}
#block2 .left {
    width: 52%;
    height: 100%;
    color: #fff;
    text-align: center;
}
#block2 .left h1 {
    font-size: 40px;
    text-transform: uppercase;
    padding: 0 50px;
}
#block2 .left p {
    font-size: 22px;
}

#block3 {
    padding: 50px 0 0;
}

#block3 .circle-deco {
    display: none;
}

#block3 .content {
    display: flex;
    justify-content: space-between;
}

#block3 .left {
    width: 40%;
    height: 350px;
    background: url(/assets/images/ikea/images/image_2.png) center / cover no-repeat;
}

#block3 .right {
    width: 35%;
    color: #000;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

#block3 .right h2 {
    font-size: 1.5rem;
    font-weight: bold;
    margin-bottom: 40px;
}

#block3 .right p {
    font-size: 1rem;
    margin-bottom: 15px;
}

/*block 4*/

#block4 {
    padding-top: 110px;
    margin-top: -50px;
    z-index: 2;
}

#block4 .content {
    display: flex;
    align-items: stretch;
    position: relative;

}

#block4 .left {
    width: 50%;
    background-color: #544284;
    color: #fff;
    display: flex;
    align-items: center;
    padding: 40px 200px 40px 40px;
    position: relative;
}

#block4 .left .in {
    max-width: 90%;
}

#block4 .left h2 {
    font-size: 1.85rem;
    margin-bottom: 30px;
}

#block4 .left p {
    font-size: 1rem;
    margin-bottom: 10px;
}

#block4 .img {
    width: 451px;
    height: 365px;
    position: absolute;
    left: 75%;
    top: -80px;
    background: url(/assets/images/ikea/images/image_3.png) center / cover no-repeat;
}

/*block 5 */

#block5 {
    margin-top: -45px;
    padding-top: 100px;

}

#block5 .bg {
    background: #ECE9F2;
    width: 100%;
    height: 90%;
    position: absolute;
    top: -45px;
    z-index: -1;
}

#block5 .title {
    margin-bottom: 10px;
    padding-left: 40px;
    font-size: 26px;
}

#block5 .flexbox {
    display: flex;
    justify-content: space-between;
    align-items: baseline;
    flex-wrap: wrap;
}

#block5 .flexitem {
    flex-basis: 24%;
    text-align: center;
}

#block5 .special-item {
    background: #C1DE9F;
    padding: 50px 10px;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    flex-basis: 20%;
    z-index: 2;
}

#block5 .special-item .undercircle {
    font-style: normal;
    font-size: 1rem;
    line-height: 1.5rem;
    margin-top: 10px;
}

/* block 6 */

#block6 {
    background: #fff;
    padding-top: 120px;
    position: relative;
    z-index: 1;
    margin-top: -80px;
    margin-bottom: 50px;
}

#block6 .content {
    position: relative;
}

#block6 .head {
    text-align: center;
    margin: 0 90px 50px;
}

#block6 .head h2 {
    font-size: 1.4rem;
    font-weight: bold;
    margin-bottom: 20px;
}

#block6 .head p {
    font-size: 1.2rem;
}

#block6 .circle-deco {
    position: absolute;
    width: 536px;
    height: 536px;
    background: #EAB8C0;
    border-radius: 50%;
    top: -135px;
    left: -220px;
    z-index: -1;
}

#block6 .body {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 50px;
}

#block6 .left {
    width: 45%;
    height: 670px;
    background: url(/assets/images/ikea/images/image_4.png) center / cover no-repeat;
}

#block6 .right {
    width: 50%;
}

#block6 .right h3 {
    font-size: 1.85rem;
    margin-bottom: 36px;
    margin-left: 20px;
}

#block6 .checklist {
    display: flex;
    flex-direction: column;
    gap: 20px;
    margin-top: 20px;
}

#block6 .checklist .item {
    padding-left: 50px;
    padding-right: 50px;
    font-size: 20px;
    position: relative;
}

#block6 .checklist .item::before {
    content: '';
    position: absolute;
    left: 0;
    top: 4px;
    width: 40px;
    height: 40px;
    background: url(/assets/images/ikea/icons/check_icon.svg) center / contain no-repeat;
}



/*block 7 will be separate file i guess */
#block7 {
    background: #544284;
    padding: 80px 0;
    color: #fff;
    min-height: unset;
}

#block7 .quiz-title {
    font-size: 2.5rem;
    text-align: center;
    width: 75%;
    margin: 0 auto 10px;
}

#block7 .quiz-subtitle {
    font-size: 1.375rem;
    text-align: center;
    margin-bottom: 40px;
    color: #C1DE9F;
}

.quiz-box {
    background: #fff;
    color: #000;
    border-radius: 8px;
    padding: 30px;
    max-width: 1000px;
    margin: 0 auto;
}

.quiz-progress-wrapper {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 30px;
}

.quiz-progress-track {
    flex-grow: 1;
    background: #F5F5F5;
    height: 10px;
    border-radius: 5px;
    overflow: hidden;
    margin-right: 15px;
}

.quiz-progress-bar {
    background: #C1DE9F;
    height: 100%;
    width: 0;
    transition: width 0.3s ease;
}

.quiz-progress-count {
    font-size: 1rem;
    color: #A1A1A1;
}

.quiz-question {
    font-weight: bold;
    font-size: 1.2rem;
    margin-bottom: 30px;
}

.quiz-options {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}

.quiz-option {
    width: 18%;
    cursor: pointer;
    border: 2px solid transparent;
    border-radius: 8px;
    overflow: hidden;
    transition: 0.2s;
    text-align: center;
    position: relative;
}

.quiz-option .label {
    background: #C1DE9F;
    font-weight: bold;
    border-radius: 50%;
    width: 24px;
    height: 24px;
    line-height: 24px;
    position: absolute;
    top: 5px;
    left: 5px;
}

.quiz-option .img-wrapper {
    border: 2px solid transparent;
    transition: border-color 0.3s ease;
    display: inline-block;
    border-radius: 6px;
    width: 98%;
}

.quiz-option:hover .img-wrapper {
    border-color: #C1DE9F;
}

.quiz-option .img {
    width: 100%;
    height: 170px;
    background-size: cover;
    background-position: center;
    border-radius: 4px;
}

.quiz-option .text {
    padding: 10px 0;
    font-size: 0.9rem;
    text-align: left;
}
#block7-1 {
    margin-top: 40px;
    margin-bottom: 50px;
}

#block7-1 h3 {
    font-size: 30px;
    text-align: center;
}

#block7-1 .result-bg {
    width: 736px;
    height: 554px;
    background-size: cover;
    background-position: center;
    margin: 0 auto 36px;
}

#block7-1 .result-letter {
    text-transform: uppercase;
    text-align: center;
    font-size: 40px;
    font-weight: bold;
    margin-bottom: 40px;

}
#block7-1 .result-text {
    font-size: 20px;
    margin-bottom: 40px;
    padding: 0 50px;
}
#block7-1 .result-subtitle {
    font-weight: bold;
    font-size: 24px;
    margin-bottom: 16px;
    padding: 0 50px;
}

#block7-1 .form {
    background: #A3DEF6;
    padding: 30px 20px;
    border-radius: 20px;
    max-width: 540px;
    margin: 0 auto 60px;
    text-align: center;
    position: relative;
}
#block7-1 .form .circle-deco {
    width: 464px;
    height: 464px;
    left: -50%;
    background: #EAB8C0;
    opacity: 1;
    top: 50px;
    transform: none;
}
#block7-1 .form-title {
    font-size: 1.2rem;
    line-height: 24px;
    width: 60%;
    margin: 0 auto 20px;
}

#block7-1 .form input[type="email"] {
    width: 90%;
    padding: 15px;
    border-radius: 10px;
    border: 1px solid #BDBDBD;
    font-size: 1rem;
    margin-bottom: 20px;
}

#block7-1 .checkbox-wrapper {
    display: flex;
    align-items: center;
    gap: 10px;
    text-align: left;
    font-size: 10px;
    width: 95%;
    margin: 0 auto 20px;
}

#block7-1 .checkbox-wrapper input[type="checkbox"] {
    margin-top: 4px;
    min-width: 20px;
    min-height: 20px;
}

#block7-1 .form button {
    background: #000;
    color: #fff;
    padding: 15px 30px;
    border: none;
    border-radius: 999px;
    font-size: 1.1rem;
    cursor: pointer;
    width: 100%;
}
#block7-1 .result-inspiration {
    background:#C1DE9F;
    width: 44%;
    margin-left: auto;
    padding: 30px 50px 50px 70px;
    text-align: left;
    margin-bottom: 50px;
    position: relative;
}
#block7-1 .result-inspiration h3 {
    text-align: left;
}
#block7-1 .result-inspiration p {
    line-height: 24px;
    font-size: 20px;
    width: 80%;
}

#block7-1 .circle-deco {
    position: absolute;
    width: 260px;
    height: 260px;
    background: #908AC3;
    opacity: .3;
    border-radius: 50%;
    top: -160px;
    left: 50%;
    transform: translateX(-50%);
    z-index: -1;
}
/*products*/
.result-products {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    margin-top: 40px;
    gap: 20px;
}

.product {
    width: 48%;
    background: #fff;
    border-radius: 6px;
    overflow: hidden;
    display: flex;


}

.product-img {
    min-width: 250px;
    height: 250px;
    background-size: cover;
    background-position: center;
}

.product-title {
    font-weight: bold;
    font-size: 1.5rem;
    margin: 15px 15px 5px;
}

.product-description {
    font-size: 1rem;
    margin: 0 15px 30px;
}

.product-button {
    background: #000;
    color: #fff;
    border-radius: 999px;
    padding: 15px 40px;
    margin: 0 15px 15px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    width: fit-content;
}


    /*block 8*/
#block8 {
    background: #908AC3;
    padding: 80px 0;
    text-align: center;
}

#block8 .content {
    max-width: 900px;
    margin: 0 auto;
    text-align: center;
}

#block8 h2 {
    font-size: 1.625rem;
    color: #000;
    font-weight: bold;
    margin-bottom: 40px;
    line-height: 36px;
}

#block8 .cta {
    display: inline-block;
    background: #000;
    color: #fff;
    font-size: 1.25rem; /* 20px */
    text-decoration: none;
    padding: 18px 40px;
    border-radius: 50px;
    font-weight: 500;
    box-shadow: 0 5px 10px rgba(0,0,0,0.2);
    transition: background 0.2s ease;
}

#block8 .cta:hover {
    background: #222;
}


#block9.header, #block9 .right {
    background: #EDEDED;
}
#block9.header .right:after {
    content: unset;
}

#block9 .left {
    display: flex;
    align-items: end;
    height: 100%;
}
#block9 .left .in {
    display: flex;
    align-items: center;
    padding-bottom: 20px;
}
#block9 .left .in .share {
    background: url(/assets/images/ikea/icons/share_button_gray.svg) center / contain no-repeat;
}
#block9 .left .in .logo {
    background: url(/assets/images/ikea/icons/tvnet_logo_gray.png) center / contain no-repeat;
}
.form-success {
     color: #48A189;
     font-weight: bold;
 }

.form-error {
    margin-top: 15px;
    color: red;
    font-weight: bold;
}
